## ros-one-roseus-smach 1.7.5-102jammy.20251023.1101

=== debian/changelog ===
ros-one-roseus-smach (1.7.5-102jammy.20251023.1101) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 11:01:29 +0000

ros-one-roseus-smach (1.7.5-0jammy) jammy; urgency=high

  * [roseus_smach] add :append-goal-state (#696 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/696>)
  * add nested example with make-state-machine function (#661 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/661>)
    
      * add readme on smach-simple-nested
      * use defmacro instead of defun for make-simple-state
    without this, we need to write
    ```
    (setq sm-top
    (make-state-machine
    '((:bas :outcome3 :sub) ;; transitions
    (:sub :outcome4 :outcome5))
    `((:bas 'func-bas)  ;; functon maps
    (:sub ,sm-sub))   ;; set "nestaed state machine"
    '(:bas)      ;; initial
    '(:outcome5) ;; goal
    ))
    ```
    to avoid
    ```
    /opt/ros/melodic/share/euslisp/jskeus/eus/Linux64/bin/irteusgl unittest-error: unbound variable sm-sub in (eval (get-alist node func-map)), exitting...
    ```
    errors,
    this change enable us to write intuitive way
    ```
    '((:bas 'func-bas)  ;; functon maps
    (:sub sm-sub))   ;; set "nestaed state machine"
    ```
    you can test this behavior with
    ```
    (defmacro test (l)
    `(dolist (e ,l)
    (print e)
    (print (eval (cadr e)))))
    (defmacro test (l)
    (dolist (e l)
    (print e)
    (print (eval (cadr e)))))
    (let (a)
    (setq a 10)
    (test '((:foo 1)  (:bar a))))
    ```
  * [roseus_smach] make roseus_smach execution faster (#684 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/684>)
    
      * sleep 0.5 s for publisher
      * use ros::sleep for smach execution
    
  * [roseus_smach] add more ros-info in convert-smach (#683 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/683>)
  * [roseus_smach] fix typo in state-machine-utils.l (#693 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/693>)
  * [roseus_smach] add :start-state and :goal-state in convert-smach (#682 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/682>)
  * [roseus_smach] add groupname in state-machine-inspector (#691 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/691>)
    
      * use send sm :spin-once in state-machine-utils.l
      * add groupname and spin-once with groupname
    
  * Updates to README sample code and explanations (#659 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/659>)
    
      * extend test time limit to 120 sec for test-samples.l
      * add example/test for smach-simple with make-state-machine function
      * write more info similar to rospy implementation
      * add more info(URL/python code) on sample
      * fix typo of nestate state machine example path
      * add make-sample-parallel-state-machine tests
      * add more test, check :active-tates, duration time
    
  * [roseus_smach] use roseus for parallel-state-machine-sample (#651 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/651>)
  * [roseus_smach] add smach_viewer installation to README (#641 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/641>)
  * [roseus_smach] add code explanation of simple-state-machine in README.md. (#627 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/627>)
  * Contributors: Guilherme Affonso, Kei Okada, Naoki Hiraoka, Naoya Yamaguchi, Shingo Kitagawa, Yoichiro Kawamura

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 13 Dec 2021 00:00:00 -0000

ros-one-roseus-smach (1.7.4-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 04 Feb 2019 00:00:00 -0000

ros-one-roseus-smach (1.7.3-0jammy) jammy; urgency=high

  * check why test-smach-action-client-state failing on installed test (#570 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/570> )
  * fix make-state-machine docstring (#589 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/589> )
  * re-enable test-smach-action-client-state, which is removed in https://github.com/jsk-ros-pkg/jsk_roseus/pull/567#issuecomment-406841511
  * Add issue link in make-state-machine docstring (#595 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/595> )
  * roseus_smach: change the order of callee args for userdata in pddl2smach (#587 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/587>)
  * roseus_smach: pass userdata values unless :arg-keys is set (#586 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/586>)
    * roseus_smach: fix error on exec state machine without *ri*
  * Contributors: Guilherme Affonso, Yuki Furuta, Shingo Kitagawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 01 Feb 2019 00:00:00 -0000

ros-one-roseus-smach (1.7.2-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 10 Nov 2018 00:00:00 -0000

ros-one-roseus-smach (1.7.1-0jammy) jammy; urgency=high

  * add melodic test (#567 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/567>)
    * split test_samples.test into test_samples_action_client_state.test, since it is always failling on only installed test https://api.travis-ci.org/v3/job/406576370/log.txt, not sure why...
    * roseus_smach/test/test_samples.test: extend time-limit to 300
    * add retry for testtest_roseus_smach_samples
    the test failing https://api.travis-ci.org/v3/job/406540328/log.txt
    is this related to memory leak? https://github.com/jsk-ros-pkg/jsk_roseus/pull/563
    ```
    mstart testing [test-smach-sample-userdata]
    mfoo-count is not set. Setting 0
    start testing [test-smach-action-client-state]
    m;p=pointer?(0x6690338)
    ;; Segmentation Fault.
    terminate called after throwing an instance of 'boost::exception_detail::clone_impl<boost::exception_detail::error_info_injector<boost::lock_error> >'
    what():  boost: mutex lock failed in pthread_mutex_lock: Invalid argument
    [Testcase: testtest_roseus_smach_samples] ... FAILURE!
    FAILURE: test [test_roseus_smach_samples] did not generate test results


## ros-one-roseus-smach 1.7.5-102jammy.20251207.2329

=== debian/changelog ===
ros-one-roseus-smach (1.7.5-102jammy.20251207.2329) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 07 Dec 2025 23:29:55 +0000

## ros-one-roseus-smach 1.7.5-102jammy.20260221.2224

=== debian/changelog ===
ros-one-roseus-smach (1.7.5-102jammy.20260221.2224) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 22:24:04 +0000

## ros-one-roseus-smach 1.7.5-102noble.20250601.2255

=== debian/changelog ===
ros-one-roseus-smach (1.7.5-102noble.20250601.2255) UNRELEASED; urgency=high

  * noble Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 01 Jun 2025 22:55:58 +0000

ros-one-roseus-smach (1.7.5-0noble) noble; urgency=high

  * [roseus_smach] add :append-goal-state (#696 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/696>)
  * add nested example with make-state-machine function (#661 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/661>)
    
      * add readme on smach-simple-nested
      * use defmacro instead of defun for make-simple-state
    without this, we need to write
    ```
    (setq sm-top
    (make-state-machine
    '((:bas :outcome3 :sub) ;; transitions
    (:sub :outcome4 :outcome5))
    `((:bas 'func-bas)  ;; functon maps
    (:sub ,sm-sub))   ;; set "nestaed state machine"
    '(:bas)      ;; initial
    '(:outcome5) ;; goal
    ))
    ```
    to avoid
    ```
    /opt/ros/melodic/share/euslisp/jskeus/eus/Linux64/bin/irteusgl unittest-error: unbound variable sm-sub in (eval (get-alist node func-map)), exitting...
    ```
    errors,
    this change enable us to write intuitive way
    ```
    '((:bas 'func-bas)  ;; functon maps
    (:sub sm-sub))   ;; set "nestaed state machine"
    ```
    you can test this behavior with
    ```
    (defmacro test (l)
    `(dolist (e ,l)
    (print e)
    (print (eval (cadr e)))))
    (defmacro test (l)
    (dolist (e l)
    (print e)
    (print (eval (cadr e)))))
    (let (a)
    (setq a 10)
    (test '((:foo 1)  (:bar a))))
    ```
  * [roseus_smach] make roseus_smach execution faster (#684 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/684>)
    
      * sleep 0.5 s for publisher
      * use ros::sleep for smach execution
    
  * [roseus_smach] add more ros-info in convert-smach (#683 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/683>)
  * [roseus_smach] fix typo in state-machine-utils.l (#693 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/693>)
  * [roseus_smach] add :start-state and :goal-state in convert-smach (#682 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/682>)
  * [roseus_smach] add groupname in state-machine-inspector (#691 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/691>)
    
      * use send sm :spin-once in state-machine-utils.l
      * add groupname and spin-once with groupname
    
  * Updates to README sample code and explanations (#659 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/659>)
    
      * extend test time limit to 120 sec for test-samples.l
      * add example/test for smach-simple with make-state-machine function
      * write more info similar to rospy implementation
      * add more info(URL/python code) on sample
      * fix typo of nestate state machine example path
      * add make-sample-parallel-state-machine tests
      * add more test, check :active-tates, duration time
    
  * [roseus_smach] use roseus for parallel-state-machine-sample (#651 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/651>)
  * [roseus_smach] add smach_viewer installation to README (#641 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/641>)
  * [roseus_smach] add code explanation of simple-state-machine in README.md. (#627 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/627>)
  * Contributors: Guilherme Affonso, Kei Okada, Naoki Hiraoka, Naoya Yamaguchi, Shingo Kitagawa, Yoichiro Kawamura

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 13 Dec 2021 00:00:00 -0000

ros-one-roseus-smach (1.7.4-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 04 Feb 2019 00:00:00 -0000

ros-one-roseus-smach (1.7.3-0noble) noble; urgency=high

  * check why test-smach-action-client-state failing on installed test (#570 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/570> )
  * fix make-state-machine docstring (#589 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/589> )
  * re-enable test-smach-action-client-state, which is removed in https://github.com/jsk-ros-pkg/jsk_roseus/pull/567#issuecomment-406841511
  * Add issue link in make-state-machine docstring (#595 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/595> )
  * roseus_smach: change the order of callee args for userdata in pddl2smach (#587 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/587>)
  * roseus_smach: pass userdata values unless :arg-keys is set (#586 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/586>)
    * roseus_smach: fix error on exec state machine without *ri*
  * Contributors: Guilherme Affonso, Yuki Furuta, Shingo Kitagawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 01 Feb 2019 00:00:00 -0000

ros-one-roseus-smach (1.7.2-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 10 Nov 2018 00:00:00 -0000

ros-one-roseus-smach (1.7.1-0noble) noble; urgency=high

  * add melodic test (#567 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/567>)
    * split test_samples.test into test_samples_action_client_state.test, since it is always failling on only installed test https://api.travis-ci.org/v3/job/406576370/log.txt, not sure why...
    * roseus_smach/test/test_samples.test: extend time-limit to 300
    * add retry for testtest_roseus_smach_samples
    the test failing https://api.travis-ci.org/v3/job/406540328/log.txt
    is this related to memory leak? https://github.com/jsk-ros-pkg/jsk_roseus/pull/563
    ```
    mstart testing [test-smach-sample-userdata]
    mfoo-count is not set. Setting 0
    start testing [test-smach-action-client-state]
    m;p=pointer?(0x6690338)
    ;; Segmentation Fault.
    terminate called after throwing an instance of 'boost::exception_detail::clone_impl<boost::exception_detail::error_info_injector<boost::lock_error> >'
    what():  boost: mutex lock failed in pthread_mutex_lock: Invalid argument
    [Testcase: testtest_roseus_smach_samples] ... FAILURE!
    FAILURE: test [test_roseus_smach_samples] did not generate test results


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-roseus-smach//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-roseus-smach 1.7.5-102noble.20251023.1124

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roseus_smach)

find_package(catkin REQUIRED COMPONENTS std_msgs actionlib smach smach_ros smach_msgs actionlib_tutorials message_generation roseus)

add_action_files(
  DIRECTORY action
  FILES
  Multiply10.action
  Sub5.action)

generate_messages(
  DEPENDENCIES actionlib_msgs std_msgs)

catkin_package(
#    DEPENDS 
    CATKIN_DEPENDS roseus smach smach_ros smach_msgs # TODO
#    INCLUDE_DIRS # TODO include
#    LIBRARIES # TODO
)

install(DIRECTORY sample src test
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
        USE_SOURCE_PERMISSIONS)

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest)
  add_rostest(test/test_samples.test)
  add_rostest(test/test_samples_action_client_state.test)
  add_rostest(test/test_action_server.test)
  add_rostest(test/test_action_client_state_in_server.test)
  add_rostest(test/test_roseus_smach_utils.test)
  add_rostest(test/test_async_join_state_machine_actionlib.test)
  add_rostest(test/test_parallel_state_machine_sample.test)
endif()

=== debian/changelog ===
ros-one-roseus-smach (1.7.5-102noble.20251023.1124) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 11:24:53 +0000

=== debian/control ===
Source: ros-one-roseus-smach
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-actionlib, ros-one-actionlib-tutorials, ros-one-catkin, ros-one-message-generation, ros-one-roseus, ros-one-rostest, ros-one-smach, ros-one-smach-msgs, ros-one-smach-ros, ros-one-std-msgs
Homepage: http://ros.org/wiki/roseus_smach
Standards-Version: 3.9.2

Package: ros-one-roseus-smach
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-actionlib, ros-one-actionlib-tutorials, ros-one-euslisp, ros-one-message-runtime, ros-one-roseus, ros-one-rostest, ros-one-smach, ros-one-smach-msgs, ros-one-smach-ros, ros-one-std-msgs
Description: roseus_smach * Euslisp state machine class.
 it will be moved. * Message publisher for visualizing current state by smach_viewer. * Simple pickle dump script for debugging state machine. * Execute state machine as a action server.

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,7 @@
 	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
 	dh_auto_configure -- \
+		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
 		-DCMAKE_PREFIX_PATH="/opt/ros/one" \

## ros-one-roseus-smach 1.7.5-102noble.20251208.1023

=== debian/changelog ===
ros-one-roseus-smach (1.7.5-102noble.20251208.1023) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 10:23:06 +0000

## ros-one-roseus-smach 1.7.5-102noble.20260221.2322

=== debian/changelog ===
ros-one-roseus-smach (1.7.5-102noble.20260221.2322) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 23:22:58 +0000
